3x-ui3x-ui
СправочникСправочник по API

Сервер подписок

Отдельный HTTP/HTTPS-сервер, который отдаёт клиентам ссылки на подписки прокси (стандартные, JSON и Clash). Сервер слушает на собственном порту (по умолчанию 2096) и настраивается в разделе Settings → Subscription. Новые панели генерируют случайные префиксы путей для каждого формата; все пути можно изменить. Все конечные точки подписок устанавливают заголовки ответа, по которым клиентские приложения считывают информацию о трафике и сроке действия.

GET
/{subPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

subPath*string

Query Parameters

format?string

Set to "info" to get the subscription status view-model as JSON instead of the links.

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}
GET
/{jsonPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

jsonPath*string

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}
GET
/{clashPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

clashPath*string

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}